Package ghidra.framework.protocol.ghidra

# Class DefaultGhidraProtocolHandler

java.lang.Object
ghidra.framework.protocol.ghidra.GhidraProtocolHandler
ghidra.framework.protocol.ghidra.DefaultGhidraProtocolHandler

All Implemented Interfaces:
  `ExtensionPoint`

public class DefaultGhidraProtocolHandler extends GhidraProtocolHandler
`DefaultGhidraProtocolHandler` provides the default protocol handler which corresponds to the original RMI-based Ghidra Server and local file-based Ghidra projects. ghidra://host/repo/... or ghidra:/path/projectName/... See `DefaultGhidraProtocolConnector` and `DefaultLocalGhidraProtocolConnector`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultGhidraProtocolHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GhidraProtocolConnector`
  `getConnector(URL ghidraUrl)`
  Get the Ghidra protocol connector for a Ghidra URL which requires this extension.
  `boolean`
  `isExtensionSupported(String extProtocolName)`
  Determine if this protocol handler is responsible for handling the specified named protocol extension.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultGhidraProtocolHandler

    public DefaultGhidraProtocolHandler()

- ## Method Details

  - ### isExtensionSupported

    public boolean isExtensionSupported(String extProtocolName)
    Description copied from class: `GhidraProtocolHandler`
    Determine if this protocol handler is responsible for handling the specified named protocol extension. One handler may support multiple protocol extension names (e.g., http and https).
    Specified by:
      `isExtensionSupported` in class `GhidraProtocolHandler`
    Parameters:
      `extProtocolName` - protocol extension name
    Returns:
      true if this handler supports the specified protocol extension name

  - ### getConnector

    public GhidraProtocolConnector getConnector(URL ghidraUrl) throws MalformedURLException
    Description copied from class: `GhidraProtocolHandler`
    Get the Ghidra protocol connector for a Ghidra URL which requires this extension.
    Specified by:
      `getConnector` in class `GhidraProtocolHandler`
    Parameters:
      `ghidraUrl` - Ghidra protocol URL
    Returns:
      Ghidra protocol connector
    Throws:
      `MalformedURLException` - if URL is invalid